function p.get_is_solid() return true end
function p.get_tex() return "block_chem" end

function p.main()
    set_default_block("r_chem")
    
    create_rect("e", 1,1,1, 14,14,14)
    --Door.
    create_rect("s", 5,0,5, 9,0,9)
    create_rect("e", 6,0,6, 8,0,8)
    
    local msg_str = "Read \"Windows/hud_diamonds.lua\" now. "
        .. "Note: that file is a \"lua package\", "
        .. "and so every function must begin with \"p.\". "
        .. "The most important function is \"^x00ff00render^!\". "
        .. "The first thing this function does is it calls "
        .. "^x00ff00ga_win_set_char_size^! and "
        .. "^x00ff00ga_win_set_front_color^! "
        .. "to set parameters for rendering. "
    add_bent_s(7,7,9,"bent_base_txt",msg_str)

    msg_str = "Next, the render function calls "
        .. "\"^x00ff00ga_get_i^!\". This function gets the specified "
        .. "global variable (that must be of integer type). "
        .. "Note: \"^x00ff00ga_^!\" stands for \"Game API\". "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)

    msg_str = "Finally, the render function calls "
        .. "\"^x00ff00ga_win_txt_center_at_bg^!\" to render text centered at "
        .. "a given x-value. And, the render function calls "
        .. "^x00ff00ga_win_quad^! to render a textured quad with given "
        .. "min_x, min_y, max_x, max_y coordinates. "
        .. "Note: x = 0 is the left of the screen, "
        .. "and y = 0 is the bottom. "
        .. "x = 1 is the right of the screen, etc. "
    add_bent_s(7,7,5,"bent_base_txt",msg_str)
end
